Results 1 to 3 of 3
Discuss [1.0.2] [Problem] Bad Installer upgrade at the Free Toolchain Software (Cydia App's) - Hackint0sh.org; I have an original iPhone still running 1.0.2 (1C28), with modem firmware 03.14.08_G. It has ...
  1. #1
    Newbie Array

    Join Date
    Jul 2008
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default [1.0.2] [Problem] Bad Installer upgrade

    I have an original iPhone still running 1.0.2 (1C28), with modem firmware 03.14.08_G. It has had AnySIM applied to it, so I understand it needs to be "virginized" before it can be reflashed with a new (or reinstall of the current) firmware.

    My problem is that I recently let Installer upgrade itself. After the upgrade, Installer crashes while "Refreshing sources". I believe that the version I upgraded to may not be compatible with firmware 1.0.2, and the version I upgraded from was not smart enough to save me from myself.

    Luckily, I still have shell access to the phone. Running Installer by hand gives me this:

    # /Applications/Installer.app/Installer
    2008-07-23 18:35:58.203 Installer[149:d03] ATInstaller: Initializing...
    2008-07-23 18:35:58.220 Installer[149:d03] ATPackageManager: Initializing...
    2008-07-23 18:36:05.276 Installer[149:d03] ATPackageManager: Status: Checking sources...
    2008-07-23 18:36:07.284 Installer[149:d03] ATPackageManager: Status: Refreshing sources...
    dyld: lazy symbol binding failed: Symbol not found: _GSSystemGetCapability
    Referenced from: /Applications/Installer.app/AppTapp.framework/AppTapp
    Expected in: /System/Library/Frameworks/GraphicsServices.framework/GraphicsServices

    dyld: Symbol not found: _GSSystemGetCapability
    Referenced from: /Applications/Installer.app/AppTapp.framework/AppTapp
    Expected in: /System/Library/Frameworks/GraphicsServices.framework/GraphicsServices

    zsh: trace trap /Applications/Installer.app/Installer
    #


    What's the easiest way to regain a functional Installer.app? Is there a place I could download "old" Installers until I found the most-recent one that works on my firmware? Are there configuration/status files in the Installer.app directory that I should be careful not to clobber?

    I found a (presumably ancient) version at http://iphone.nullriver.com/beta/ but I don't know if installing something that old would make matters worse. My concern would be that modern package files or installed-package status files would confound this early version of the app.

    Has anyone dealt with this issue before?



  2. #2
    Senior Professional Array

    Join Date
    Sep 2007
    Posts
    148
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    16

    Question

    I have the exact same problem. The phone is also on 1.0.2. I have no time to upgrade the phone so I would just like to switch back to an older installer.

    Anyone know where to get it from?

    PmgR
    =============================================
    Help stop the persecution of Falun Dafa in China!
    Stop organ harvesting from living people in China's labor camps
    http://www.faluninfo.net
    http://www.theepochtimes.com/211,111,,1.html
    =============================================
    Falun Dafa, an ancient Chinese self-cultivation practice,
    based on the principles of
    * Truthfulness * Compassion * Tolerance *
    http://www.falundafa.org
    =============================================

  3. #3
    Speedy Administrator Array n350z's Avatar

    Join Date
    Nov 2007
    Location
    United Kingdom
    Posts
    3,021
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    10

    Default

    Guys if you have lost installer and you have openSSH available couldn't you run virginize like this then upgrade?

    http://george.insideiphone.com/index...-the-easy-way/
    -
    Read the stickies and search the forum before posting!
    Did we solve your problem? +1 us above
    If you want to become a Hackint0sh supporter click here
    ----------
    Follow Hackint0sh Follow Me

 

 

Similar Threads

  1. [1.1.1 (1.02 OTB)] Can i upgrade the Installer.app and others ?
    By johnwaz in forum Free Toolchain Software (Cydia App's)
    Replies: 2
    Last Post: 03-10-2008, 09:07 PM
  2. Youtube and Installer problem after 1.1.3 Jailbreak (via installer)
    By QuaCk QuaCk in forum iPhone "2G" (Rev. 1)
    Replies: 0
    Last Post: 02-10-2008, 04:42 PM
  3. installer problem : V3.0b4 installed on 1.0.2 doesnt work after 1.1.1 upgrade
    By TahitianFreak in forum Free Toolchain Software (Cydia App's)
    Replies: 3
    Last Post: 10-26-2007, 09:33 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 09:48 AM.
twitter, follow us!